Bug 174316 - x86_64 and i386 firefox should not conflict
Summary: x86_64 and i386 firefox should not conflict
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox   
(Show other bugs)
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard: massRequestForReproduction
Keywords: Triaged
Depends On: 156982
Blocks: 196929
TreeView+ depends on / blocked
 
Reported: 2005-11-27 19:13 UTC by Chris Kloiber
Modified: 2013-04-02 04:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:17:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Kloiber 2005-11-27 19:13:40 UTC
Description of problem:

We need to remove the x86_64 firefox and replace it with i386 firefox so we can
use j2re-1.4.2_02 with Oracle to support customers. Unfortunately many needed
dependencies are not present. Here is the rpm output when attempting to install
the i386 firefox on an x86_64 fc5test1 system:

$ sudo rpm -ivh firefox-1.5-0.5.0.rc3.i386.rpm
warning: firefox-1.5-0.5.0.rc3.i386.rpm: Header V3 DSA signature: NOKEY, key ID
30c9ecf8
error: Failed dependencies:
        libbonoboui-2.so.0 is needed by firefox-1.5-0.5.0.rc3.i386
        libgnome-2.so.0 is needed by firefox-1.5-0.5.0.rc3.i386
        libgnome-keyring.so.0 is needed by firefox-1.5-0.5.0.rc3.i386
        libgnomeui-2.so.0 is needed by firefox-1.5-0.5.0.rc3.i386

Please fight to restore these dependencies before FC5-GOLD, thanks.

Comment 2 Sammy 2005-11-28 15:33:15 UTC
I agree.... most browser plugins do not work for x86_64 systems and there 
are no plans to make them work soon (flash, java, acroread, etc.). I have 
been installing the i386 version by hand. You need to install the i386 
versions of the above packages, just get the from the i386 repository, then 
remove the firefox x86_64 and install the i386 one. 
 
For konqueror just overwriting /usr/bin/nspluginscan 
and /usr/bin/nspluginviewer with the corresponding i386 ones work too. 
We do actually have kdebase i386 and x86_64 installed but x86_64 is the 
default for binaries in /usr/bin. 

Comment 11 Chris Kloiber 2006-04-03 13:35:47 UTC
Is there any update on this issue?

Comment 16 RHEL Product and Program Management 2006-08-18 16:56:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 23 RHEL Product and Program Management 2007-03-10 01:12:02 UTC
This bugzilla had previously been approved for engineering
consideration but Red Hat Product Management is currently reevaluating
this issue for inclusion in RHEL4.6.

Comment 24 RHEL Product and Program Management 2007-05-09 11:06:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 25 RHEL Product and Program Management 2007-09-07 19:46:50 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 26 Andreas Dilger 2007-11-05 07:26:23 UTC
While it is possible to install x86_64 and i386 Firefox RPMs at the same time in
FC8, it still doesn't work correctly.  The /usr/bin/firefox script will by
default run the x86_64 firefox binary if it is installed, but this means none of
the plugins like Shockwave, etc will be available.  Conversely, if the x86_64
firefox RPM is not installed then the Gnome devhelp system will not work.

Comment 27 Matěj Cepl 2008-02-08 20:42:23 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]

Comment 28 Andreas Dilger 2008-02-26 05:46:41 UTC
(In reply to comment #26)
> While it is possible to install x86_64 and i386 Firefox RPMs at the same time in
> FC8, it still doesn't work correctly.  The /usr/bin/firefox script will by
> default run the x86_64 firefox binary if it is installed, but this means none of
> the plugins like Shockwave, etc will be available.  Conversely, if the x86_64
> firefox RPM is not installed then the Gnome devhelp system will not work.

This problem still exists with the current firefox release 2.0.0.12-1.fc8.  The
default /usr/bin/firefox wrapper will run the x86_64 binary instead of the i686
binary, meaning that most of the plugins (jre, shockwave) will not be available:

MOZ_ARCH=$(uname -m)
case $MOZ_ARCH in
        ia64 | s390 )
        # AED x86_64 | ia64 | s390 )
                MOZ_LIB_DIR="/usr/lib64"
                SECONDARY_LIB_DIR="/usr/lib"
                ;;
        * )
                MOZ_LIB_DIR="/usr/lib"
                SECONDARY_LIB_DIR="/usr/lib64"
                ;;
esac

I've changed the wrapper so that the 64-bit firefox is not used even if it is
installed.  I would even uninstall the 64-bit firefox if I could, but the
devhelp package requires it...  Hmm, it seems possible to uninstall
firefox.x86_64 now, so I guess this bug doesn't need to be reopened, but I'm
adding this comment as a more useful conclusion than the boilerplate above.

Comment 29 Christopher Aillon 2008-03-02 17:35:03 UTC
1. This bug is for RHEL not for Fedora
2. That behavior is designed.  If you have both 32 and 64 bit versions of _any_
package installed, running it will run the 64 bit version.  However, you can run
the 32 bit version without making any tweaks to the script by simply doing : 
setarch i386 firefox

Comment 31 Steve Siano 2009-12-24 22:37:20 UTC
The "setarch i386 firefox" solution from Christopher Aillon in Comment #29 is a fine one.  Now the Flash plugin works, but I can not use Sun's 32-bit Java 1.6 plugin.  For Java development, I use Sun's 64-bit Java 1.6 (for x86_64), and when I tried to install the 32-bit version, I got

file /usr/share/applications/java-1.6.0-sun-ControlPanel.desktop
from install of java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.i586
conflicts with file
from package java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.x86_64

file /usr/share/applications/java-1.6.0-sun-javaws.desktop
from install of java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.i586 
conflicts with file
from package java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.x86_64

file /usr/share/man/man1/javaws-java-1.6.0-sun.1.gz
from install of java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.i586 
conflicts with file
from package java-1.6.0-sun-plugin-1.6.0.17-1jpp.2.el5.x86_64

So instead I am using IBM's 32-bit Java 1.6 plugin (for i386).

Comment 32 Steve Siano 2009-12-24 23:31:17 UTC
Regarding Comment #31, I also tried removing the Sun 64-bit plugin, which allowed me to successfully install the 32-bit plugin.  But I got similar error messages when I tried to install the Sun 32-bit JRE (without uninstalling the Sun 64-bit JRE).

So I still can not use the Sun 32-bit plugin as long as I use Sun's 64-bit Java.

Comment 34 Jiri Pallich 2012-06-20 16:17:14 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.